Skip to main content
GET
/
networks
/
{network}
/
pools
/
filter
Advanced pool filtering on a specific network.
curl --request GET \
  --url https://api.dexpaprika.com/networks/{network}/pools/filter
{
  "results": [
    {
      "id": "<string>",
      "dex_id": "<string>",
      "dex_name": "<string>",
      "chain": "<string>",
      "created_at_block_number": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "volume_usd": 123,
      "transactions": 123,
      "price_usd": 123,
      "last_price_change_usd_5m": 123,
      "last_price_change_usd_1h": 123,
      "last_price_change_usd_24h": 123,
      "fee": 123,
      "tokens": [
        [
          {
            "id": "usdc-usd-coin",
            "name": "USD Coin",
            "symbol": "USDC",
            "type": "token",
            "status": "Working product.",
            "decimals": 6,
            "description": "True financial interoperability requires a price stable means of value exchange...",
            "website": "https://www.centre.io/usdc",
            "explorer": "https://etherscan.io/token/0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
          }
        ]
      ],
      "volume_usd_7d": 732198450.56,
      "liquidity_usd": 1523004.5
    }
  ],
  "page_info": {
    "limit": 123,
    "page": 123,
    "total_items": 123,
    "total_pages": 123
  }
}

Path Parameters

network
string
required

Network slug or ID (e.g., 'solana'). You can find the list of supported networks with their IDs here: /networks.

Query Parameters

page
integer

Zero-based page index for paginated results.

Required range: 0 <= x <= 1000
limit
integer
default:50

Number of items to return per page (max 100).

Required range: 1 <= x <= 100
volume_24h_min
number

Minimum 24-hour volume in USD.

volume_24h_max
number

Maximum 24-hour volume in USD.

volume_7d_min
number

Minimum 7-day volume in USD.

volume_7d_max
number

Maximum 7-day volume in USD.

volume_30d_min
number

Minimum 30-day volume in USD. Not supported currently.

volume_30d_max
number

Maximum 30-day volume in USD. Not supported currently.

liquidity_usd_min
number

Minimum pool liquidity in USD.

liquidity_usd_max
number

Maximum pool liquidity in USD.

txns_24h_min
integer

Minimum number of transactions in the last 24 hours.

created_after
integer

Filters for pools created after this UNIX timestamp.

created_before
integer

Filters for pools created before this UNIX timestamp.

sort_by
enum<string>
default:volume_24h

Field by which to sort the returned data.

Available options:
volume_24h,
volume_7d,
volume_30d,
liquidity,
txns_24h,
created_at
sort_dir
enum<string>

Sort direction (ascending or descending).

Available options:
asc,
desc

Response

Successful operation

The paginated response containing pools that match the search criteria.

results
object[]

An array of pool search results.

page_info
object

Pagination details for the current response.